﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TreemapWpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            data = LoadData();
            this.treeMap1.ItemsSource = data;
        }

        private IList<IDiskItem> data;

        private IList<IDiskItem> LoadData()
        {
            Random r = new Random();

            Folder c = new Folder("C", new ObservableCollection<IDiskItem>()
                {
                    new Folder("Program Files", new ObservableCollection<IDiskItem>()
                        {

                            new Folder("Telerik", new ObservableCollection<IDiskItem>()
                                {
                                    new File("File 1", r.Next(1, 4000)),
                                    new File("File 2", r.Next(1, 1000)),
                                    new File("File 3", r.Next(1, 1000)),
                                    new File("File 4", r.Next(1, 1000)),
                                }),
                            new Folder("ANTS", new ObservableCollection<IDiskItem>()
                                {
                                    new File("File 1", r.Next(1, 1000)),
                                    new File("File 2", r.Next(1, 1000)),
                                    new File("File 3", r.Next(1, 1000)),
                                    new File("File 4", r.Next(1, 1000)),
                                }),
                            new File("File 1", r.Next(1, 10000)),
                            new File("File 2", r.Next(1, 10000)),
                            new File("File 3", r.Next(1, 10000)),
                            new File("File 4", r.Next(1, 10000)),
                            new File("File 5", r.Next(1, 10000)),
                        }),
                    new Folder("Windows", new ObservableCollection<IDiskItem>()
                        {
                            new File("File 1", r.Next(1, 10000)),
                            new File("File 2", r.Next(1, 10000)),
                            new File("File 3", r.Next(1, 10000)),
                            new File("File 4", r.Next(1, 10000)),
                            new File("File 5", r.Next(1, 10000)),
                        }),
                    new File("File 1", r.Next(1, 10000)),
                    new File("File 2", r.Next(1, 10000)),
                    new File("File 3", r.Next(1, 10000)),
                    new File("File 4", r.Next(1, 10000)),
                    new File("File 5", r.Next(1, 10000)),
                });

            Folder noFiles = new Folder("NO Files", new List<IDiskItem>(), 10000);
            return new ObservableCollection<IDiskItem>(new List<IDiskItem>()
            {
                c,
                noFiles
            });
        }
    }
}
