using System.Collections.Generic;
using System.ComponentModel;

namespace TreemapWpfApplication
{
    public class File : IDiskItem
    {
        private long size;

        public File(string name, long size)
        {
            this.Name = name;
            this.Size = size;
        }

        public string Name { get; private set; }

        public long Size
        {
            get
            {
                return this.size;
            }
            set
            {
                if (this.size == value)
                    return;

                this.size = value;
                this.OnPropertyChanged("Size");
            }
        }

        public IList<IDiskItem> Children
        {
            get
            {
                return null;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}